Bug 1800794 - OLM: Console looking at wrong annotation for cluster monitoring
Summary: OLM: Console looking at wrong annotation for cluster monitoring
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1799051
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-07 21:35 UTC by Samuel Padgett
Modified: 2020-05-04 11:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.4.0-0.ci-2020-02-07-125353 Cluster ID: 02913ce8-f389-409b-a79d-8d6ecdf40695 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:72.0) Gecko/20100101 Firefox/72.0
Last Closed: 2020-05-04 11:34:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4258 None closed Bug 1800794: look for correct OLM cluster monitoring annotation 2020-04-17 17:54:22 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:35:16 UTC

Description Samuel Padgett 2020-02-07 21:35:35 UTC
Console is looking for `openshift.io/cluster-monitoring`, but the annotation should be `operatorframework.io/cluster-monitoring`

https://github.com/openshift/enhancements/blob/master/enhancements/olm/olm-managed-operator-metrics.md#fulfilling-namespace-and-rbac-requirements

Comment 2 shahan 2020-02-13 08:57:04 UTC
Till now, still have no available operators can be used to verify.

Comment 3 shahan 2020-02-14 03:49:31 UTC
install logging operator, console will show checkbox to allow user enable monitoring service discovery in the openshift-logging namespace.
The openshift-logging namespace will add openshift.io/cluster-monitoring=true label
4.4.0-0.nightly-2020-02-13-212616
Verified this bug.

Comment 6 errata-xmlrpc 2020-05-04 11:34:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.